HomeGuidesAPI Reference
API Reference

Partner Details

Get Partner Details by PartnerId, ACCESS LEVEL: SUPER_ADMIN, PARTNER

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This endpoint retrieves the details of a partner using its partnerId.

Endpoint

GET https://demo-api.edfapay.com/api/v1/partner/{partnerId}


Authentication

All requests to this endpoint must include a valid X-API-KEY in the request header for authentication. The X-API-KEY must be sent from the server side and should not be exposed on the client side.

How to generate API key


Query Parameters

FieldTypeRequiredDescription
partnerIdstringYesUnique Partner ID from EdfaPay (UUID).
📘

How to get the partnerId

Create Partner API: After creating a partner, the id is returned in the success response. 👉 Create Partner Responses

Edfapay Dashboard: Go to the Partner page, click the Columns icon, and enable the id field from Hidden Attributes.


Example Request

curl --location 'https://demo-api.edfapay.com/api/v1/partner/xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx' \
--header 'X-API-KEY: YOUR_API_KEY' \

Example Responses

{
    "code": 200,
    "message": "Success",
    "errorCode": null,
    "data": {
        "code": 200,
        "message": "Success",
        "errorCode": null,
        "data": {
            "createdBy": "[email protected]",
            "createdTimestamp": "2026-04-21T00:14:28.051183404Z",
            "updatedBy": null,
            "updatedTimestamp": "2026-04-21T00:14:28.051058644Z",
            "id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
            "name": "Partner Name",
            "nameAR": "بارتنر",
            "address": null,
            "status": "ACTIVE",
            "logo": null,
            "deleted": false,
            "emailAddress": "[email protected]",
            "registeredMobileNumber": "+0-619471208697",
            "businessUnitId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
            "active": true,
            "domain": "google.com",
            "feeProfileId": 1
        }
    }
}
{
    "code": 404,
    "message": "Entity Partner  not found for fields [id] and values [xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx]",
    "errorCode": "404",
    "data": null
}
Path Params
uuid
required
Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Choose an example:
*/*